Subject: Re: bug#13639: [emacs] ispell.el: hunspell dicts autodetection under Emacs.

From: Agustin Martin <[email-masked]>
Date: Thu, 28 Feb 2013 20:23:45 +0100

On Wed, Feb 20, 2013 at 09:00:41PM +0200, Eli Zaretskii wrote:
> I didn't just read the man page, I also looked into several *.aff
> files that install with Hunspell dictionaries.  It is clear to me that
> WORDCHARS is at least unreliable, even if your interpretation is
> correct (of which I'm still unconvinced): some *.aff files don't have
> that entry at all (e.g., en_GB.aff, whose OTHERCHARS should include
> the ' character, and also ru_RU.aff); others, like he_IL.aff, have
> that entry mention all the CASECHARS, in addition to OTHERCHARS.  I
> wouldn't bet my money on what that entry gives us.

IMHO those dictionaries are buggy (this may include some of the dicts I
package for Debian, have to look). 

As an example, I tried Debian en_AU, not having WORDCHARS '

$ echo "ber's" | hunspell -a -d /usr/share/hunspell/en_AU
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2) 
& ber 15 0: bee, bet, be, beer, bier, bear, berg, berm, bar, bed, bur, beg, per, her, be r
*

while if I add the WORDCHARS ' entry I get, as expected

$ echo "ber's" | hunspell -a -d ./en_AU
@(#) International Ispell Version 3.2.06 (but really Hunspell 1.3.2)
& ber's 15 0: bee's, bet's, beer's, bier's, berg's, berm's, bar's, bed's, bur's, bergs, berms, mer's, Ser's, Berber's, Berger's

with ' properly handled.

> > The good news are that I started working on hunspell dicts autodetection.
> 
> Good news, indeed!  Thanks!

Just commited a first cut for hunspell dicts autodetection. I have tested it
only in my GNU/Debian box and seems to work well, so time is come for real
life check to notice how many things went unnoticed.

-- 
Agustin